Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_model

## Name

librdf_new_model -- Constructor - create a new storage librdf_model object

## Synopsis

``librdf_model* `librdf_new_model`` (librdf_world * `world`, librdf_storage * `storage`, char * `options_string`);`

## Arguments

`world`

  redland world object

`storage`

  librdf_storage to use

`options_string`

  options to initialise model

## Description

The options are encoded as described in `librdf_hash_from_string` and can be NULL if none are required.

## Return value

a new librdf_model object or NULL on failure

<<< Previous | Home | Next >>>
librdf_get_model_factory | Up | librdf_new_model_with_options